Summary: A utility for creating TTY dialog boxes.
Name: dialog
%define SubVersion 20040731
Version: 1.0.%{SubVersion}
Release: 3
License: GPL
Group: Applications/System
URL: http://invisible-island.net/dialog/dialog.html
Source: ftp://invisible-island.net/dialog/dialog-1.0-%{SubVersion}.tgz
Patch1: dialog-nospace.patch 
Patch2: dialog-nopercent.patch
BuildRoot: /var/tmp/dialog-root
BuildPreReq: ncurses-devel, gettext

%description
Dialog is a utility that allows you to show dialog boxes (containing
questions or messages) in TTY (text mode) interfaces.  Dialog is called
from within a shell script.  The following dialog boxes are implemented:
yes/no, menu, input, message, text, info, checklist, radiolist, and
gauge.  

Install dialog if you would like to create TTY dialog boxes.

%prep
%setup -q -n dialog-1.0-%{SubVersion}
%patch1 -p0 -b .nospace
%patch2 -p1 -b .noperc

%build
%configure --enable-nls --with-ncursesw
make

%install
rm -rf $RPM_BUILD_ROOT
fgrep -l -r perl samples|xargs rm -f

%makeinstall
rm -f 

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING dialog.lsm README samples
%{_prefix}/bin/dialog
%{_mandir}/man1/dialog.*
#%{_datadir}/locale/*/LC_MESSAGES/dialog.mo

%changelog
* Wed Oct 20 2004 Harald Hoyer <harald@redhat.com> 1.0-20040731-3
- rlandry@redhat.com refined his patch (bug 136374)

* Tue Oct 19 2004 Harald Hoyer <harald@redhat.com> 1.0-20040731-2
- added patch from rlandry@redhat.com which removes extra trailing
  spaces (bug 136374)

* Fri Aug 27 2004 Harald Hoyer <harald@redhat.com> 1.0-20040731-1
- new version 1.0-20040731

* Wed Jul 29 2004 Harald Hoyer <harald@redhat.com> 1.0-20040728-1
- new version 1.0-20040728

* Wed Jul 28 2004 Harald Hoyer <harald@redhat.de> 1.0-20040721-1
- new version 1.0-20040721

* Wed Jun 23 2004 Harald Hoyer <harald@redhat.de> 0.9b.20040606-1
- new version 0.9b-20040606
- new Version scheme

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Dec 08 2003 Harald Hoyer <harald@redhat.de> 0.9b-20031207.1
- version 20031207

* Thu Nov 27 2003 Harald Hoyer <harald@redhat.de> 0.9b-20031126.1
- version 20031126

* Mon Nov 24 2003 Harald Hoyer <harald@redhat.de> 0.9b-20031002.2
- added gettext BuildReq (#109192)

* Wed Oct  8 2003 Harald Hoyer <harald@redhat.de> 0.9b-20031002.1
- version 20031002

* Thu Sep 11 2003 Harald Hoyer <harald@redhat.de> 0.9b-20030910.1
- new version 20030910 which also fixes #104236

* Tue Aug 12 2003 Harald Hoyer <harald@redhat.de> 0.9b-20020814.5
- --with-ncursesw

* Fri Aug  8 2003 Elliot Lee <sopwith@redhat.com> 0.9b-20020814.4
- Rebuilt

* Tue Jun 17 2003 Harald Hoyer <harald@redhat.de> 0.9b-20020814.3
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 0.9b-20020814.2
- rebuild

* Tue Nov 05 2002 Harald Hoyer <harald@redhat.de> 0.9b-20020814.1
* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 22 2002 Harald Hoyer <harald@redhat.de> 0.9b-20020519.1
- update to dialog-0.9b-20020519

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jun 18 2001 Harald Hoyer <harald@redhat.de>
- update to 20010527
- added ncurses-devel dependency (#44733)
- removed perl dependency

* Tue Jan 09 2001 Harald Hoyer <harald@redhat.com>
- update to 20001217

* Mon Aug  7 2000 Bill Nottingham <notting@redhat.com>
- fix one of the examples (#14073)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Apr  5 2000 Bill Nottingham <notting@redhat.com>
- rebuild against current ncurses/readline

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Thu Jan 20 2000 Bill Nottingham <notting@redhat.com>
- fix loop patch for reading from pipe

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 7 1998 Michael Maher <mike@redhat.com> 
- Added Sean Reifschneider <jafo@tummy.com> patches for 
  infinite loop problems.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
